import 'package:zart_validator/Abstracts/RuleAbstract.dart';
import 'package:zart_validator/Concerns/Zartable.dart';
import 'package:zart_validator/Rules/RuleStructure.dart';

class AlphaAndNumber extends RuleStructure implements RuleAbstract {
  AlphaAndNumber(Zartable zartableObject) : super(zartableObject);

  @override
  String regex = r'^[a-zA-Z0-9]+$';

  @override
  dynamic customMessage() {
    return trans('alpha_num', {'name': name});
  }
}
