import 'package:zart_validator/Abstracts/RuleAbstract.dart';
import 'package:zart_validator/Concerns/Zartable.dart';
import 'package:zart_validator/Rules/RuleStructure.dart';

class Numeric extends RuleStructure implements RuleAbstract {
  Numeric(Zartable zartableObject) : super(zartableObject);

  @override
  bool manualCheck() {
    return double.tryParse(input) != null;
  }

  @override
  dynamic customMessage() {
    return trans('numeric', {'name': name});
  }
}
