import 'package:zart_validator/Abstracts/RuleAbstract.dart';
import 'package:zart_validator/Concerns/Zartable.dart';
import 'package:zart_validator/Rules/RuleStructure.dart';

class OnlyFloat extends RuleStructure implements RuleAbstract {
  OnlyFloat(Zartable zartableObject) : super(zartableObject);

  @override
  String regex = r'^(?:-?(?:[0-9]+))?(?:\.[0-9]*)?(?:[eE][\+\-]?(?:[0-9]+))?$';

  @override
  dynamic customMessage() {
    return trans('float', {'name': name});
  }
}
