import 'package:zart_validator/Abstracts/RuleAbstract.dart';
import 'package:zart_validator/Concerns/Zartable.dart';
import 'package:zart_validator/Rules/RuleStructure.dart';

class OnlyInt extends RuleStructure implements RuleAbstract {
  OnlyInt(Zartable zartableObject) : super(zartableObject);

  @override
  String regex = r'^(?:-?(?:0|[1-9][0-9]*))$';

  @override
  dynamic customMessage() {
    return trans('integer', {'name': name});
  }
}
