import 'package:zart_validator/Abstracts/RuleAbstract.dart';
import 'package:zart_validator/Concerns/Zartable.dart';
import 'package:zart_validator/Rules/RuleStructure.dart';

class OnlyNumber extends RuleStructure implements RuleAbstract {
  OnlyNumber(Zartable zartableObject) : super(zartableObject);

  @override
  String regex = r'^-?[0-9]+$';

  @override
  dynamic customMessage() {
    return trans('number', {'name': name});
  }
}
