import 'package:zart_validator/Abstracts/RuleAbstract.dart';
import 'package:zart_validator/Concerns/Zartable.dart';
import 'package:zart_validator/Rules/RuleStructure.dart';

class Regex extends RuleStructure implements RuleAbstract {
  String inputRegex;

  Regex(Zartable zartableObject) : super(zartableObject) {
    inputRegex = rule.split(':')[1];
  }

  @override
  String regex = '';

  @override
  bool manualCheck() {
    regex = inputRegex;
    return false; // go for regex check
  }

  @override
  dynamic customMessage() {
    return trans('regex', {'name': name});
  }
}
