import 'package:zart_validator/Abstracts/RuleAbstract.dart';
import 'package:zart_validator/Concerns/Zartable.dart';
import 'package:zart_validator/Rules/RuleStructure.dart';

class Required extends RuleStructure implements RuleAbstract {
  Required(Zartable zartableObject) : super(zartableObject);

  // required rule conditions and checkers are in RuleStructure

  @override
  dynamic customMessage() {
    return trans('required', {'name': name});
  }
}
