import 'package:zart_validator/Abstracts/RuleAbstract.dart';
import 'package:zart_validator/Concerns/Zartable.dart';
import 'package:zart_validator/Rules/RuleStructure.dart';

class Url extends RuleStructure implements RuleAbstract {
  Url(Zartable zartableObject) : super(zartableObject);

  @override
  bool manualCheck() {
    return Uri.parse(input).isAbsolute;
  }

  @override
  dynamic customMessage() {
    return trans('url', {'name': name});
  }
}
