import 'package:zart_validator/Locale/en.dart';
import 'package:zart_validator/Locale/fa.dart';

class Translator {
  String locale = 'en';
  Map dictionary = {};

  Translator() {
    dictionary['en'] = en();
    dictionary['fa'] = fa();
  }

  trans(String code, [Map variables]) {
    String mainSentence = 'Validation Error';

    if (dictionary[locale] != null) if (dictionary[locale][code] != null)
      mainSentence = dictionary[locale][code];

    variables.forEach((index, value) {
      mainSentence = mainSentence.replaceAll(':' + index, value);
    });

    return mainSentence;
  }
}
