import 'package:zart_validator/Abstracts/RuleAbstract.dart';
import 'package:zart_validator/Concerns/Zartable.dart';
import 'package:zart_validator/Rules/RuleStructure.dart';

class HaveAlpha extends RuleStructure implements RuleAbstract {
  HaveAlpha(Zartable zartableObject) : super(zartableObject);

  @override
  String regex = '([A-Za-z])+';

  @override
  dynamic customMessage() {
    return trans('have_alpha', {'name': name});
  }
}
