import 'package:zart_validator/Abstracts/RuleAbstract.dart';
import 'package:zart_validator/Concerns/Zartable.dart';
import 'package:zart_validator/Rules/RuleStructure.dart';

class Hex extends RuleStructure implements RuleAbstract {
  Hex(Zartable zartableObject) : super(zartableObject);

  @override
  String regex = r'^#?([0-9a-fA-F]{3}|[0-9a-fA-F]{6})$';

  @override
  dynamic customMessage() {
    return trans('hex', {'name': name});
  }
}
