import 'package:zart_validator/Abstracts/RuleAbstract.dart';
import 'package:zart_validator/Concerns/Zartable.dart';
import 'package:zart_validator/Rules/RuleStructure.dart';

class OnlyAlpha extends RuleStructure implements RuleAbstract {
  OnlyAlpha(Zartable zartableObject) : super(zartableObject);

  @override
  String regex = r'^[a-zA-Z]+$';

  @override
  dynamic customMessage() {
    return trans('alpha', {'name': name});
  }
}
