import 'package:zart_validator/Concerns/ZartStructure.dart';
import 'package:zart_validator/Concerns/Zartable.dart';

class Zart extends ZartStructure {
  String zartLocale = 'en';
  Zart({String zartLocale});

  validate(dynamic input, dynamic rule,
      {String name, String message, String locale}) {
    Zartable zartableObject =
        new Zartable(input, rule, name, message, locale ?? zartLocale);
    return ZartStructure()
        .executeValidator(zartableObject, myCustomRule: myCustomRule);
  }
}

zart(dynamic input, dynamic rule,
    {String name, String message, String locale}) {
  return Zart()
      .validate(input, rule, name: name, message: message, locale: locale);
}
